# H225_RTPSession Class Reference

`#include <h225.h>`

Inheritance diagram for H225_RTPSession:

List of all members.

## Public Types

enum | OptionalFields { e_multicast, e_bandwidth }

## Public Member Functions

| H225_RTPSession (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_TransportChannelInfo | m_rtpAddress
H225_TransportChannelInfo | m_rtcpAddress
PASN_PrintableString | m_cname
PASN_Integer | m_ssrc
PASN_Integer | m_sessionId
H225_RTPSession_associatedSessionIds | m_associatedSessionIds
PASN_Null | m_multicast
H225_BandWidth | m_bandwidth

## Member Enumeration Documentation

enum H225_RTPSession::OptionalFields

Enumerator:

  e_multicast |
  e_bandwidth |

## Constructor & Destructor Documentation

H225_RTPSession::H225_RTPSession | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_RTPSession::GetDataLength | ( |  | ) | const

PBoolean H225_RTPSession::Decode | ( | PASN_Stream & | strm | ) |

void H225_RTPSession::Encode | ( | PASN_Stream & | strm | ) | const

void H225_RTPSession::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_RTPSession::Compare | ( | const PObject & | obj | ) | const

PObject* H225_RTPSession::Clone | ( |  | ) | const

## Member Data Documentation

H225_TransportChannelInfo H225_RTPSession::m_rtpAddress

H225_TransportChannelInfo H225_RTPSession::m_rtcpAddress

PASN_PrintableString H225_RTPSession::m_cname

PASN_Integer H225_RTPSession::m_ssrc

PASN_Integer H225_RTPSession::m_sessionId

H225_RTPSession_associatedSessionIds H225_RTPSession::m_associatedSessionIds

PASN_Null H225_RTPSession::m_multicast

H225_BandWidth H225_RTPSession::m_bandwidth

The documentation for this class was generated from the following file:

- h225.h